org.apache.felix.ipojo.manipulator.metadata.annotation.model

## Class AnnotationType

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.metadata.annotation.model.AnnotationType

    public class AnnotationType
    extends Object

User: guillaume Date: 27/06/13 Time: 13:37

### Constructor Summary

Constructors
Constructor and Description
`AnnotationType(org.objectweb.asm.Type type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Playback>` `getPlaybacks()`
`org.objectweb.asm.Type` `getType()`
`void` `traverse(AnnotationDiscovery visitor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnotationType

    public AnnotationType(org.objectweb.asm.Type type)

### Method Detail

#### getType

    public org.objectweb.asm.Type getType()

#### getPlaybacks

    public List<Playback> getPlaybacks()

#### traverse

    public void traverse(AnnotationDiscovery visitor)